/*
	Automatically generated source file template for a task.
	(c) European Space Agency


	Title: dsattr
	Package: daltools
	Author: Mark Thomas
	Affiliation: CARA/ESA
	Email: mthomas@astro.estec.esa.nl
	Purpose: Get attribute values
	Description: Get attribute values


*/

#include <Tracer.h>
#include <param.h>
#include <Dal.h>
#include <CompoundName.h>


#include "dsattr.h"

void dsattr()
{
	PROC
	const vector<string>	attributes( stringListParameter( "attributes" ) );

	for( unsigned int i = 0; i < attributes.size(); ++i )
	{
		const string		name( attributes[ i ] );
		DataSet*		set( dataSetServer -> open( name, Dal::Read, DataSetServer::Low ) );
		const CompoundName	cn( name, CompoundName::AnyAttributeName, set );
		const Attributable*	attributable = cn.attributable();
		const Attribute*	attribute( attributable -> attribute( name ) );

		cout << *attribute << endl;
		dataSetServer -> close( set );
	} // for
	ENDPROC
}
