/*
	Automatically generated source file template for a task.
	(c) European Space Agency


	Title: dsinserttable
	Package: daltools
	Author: Mark Thomas
	Affiliation: CARA/ESA
	Email: mthomas@astro.estec.esa.nl
	Purpose: Insert one table (source) into another (destination)
	Description: Insert one table (source) into another (destination)


*/

#include <Tracer.h>
// #include <errstr.h>
#include <param.h>
#include <Dal.h>
#include <dal_utilities.h>
#include <CompoundName.h>



#include "dsinserttable.h"

void dsinserttable()
{
	PROC
	const string	srcTableName( stringParameter( "from" ));
	const int	fromRow( intParameter( "fromrow" ) );
	const int	toRow( intParameter( "torow" ) );
	const int	count( intParameter( "count" ) );
	const string	dtnTableName( stringParameter( "to" ));

	CompoundName	srcCn( srcTableName, CompoundName::TableName );
	CompoundName	dtnCn( dtnTableName, CompoundName::TableName, 0, Dal::Modify );

	insertTable( dtnCn.table(), toRow, srcCn.table(), fromRow, count );
	ENDPROC
}
