/*
	Automatically generated source file template for a task.
	(c) European Space Agency


	Title: dsrmrows
	Package: daltools
	Author: Mark Thomas
	Affiliation: CARA/ESA
	Email: mthomas@astro.estec.esa.nl
	Purpose: Remove a range of rows from a table
	Description: Remove a range of rows from a table


*/

#include <Tracer.h>
#include <param.h>
#include <Dal.h>


#include "dsrmrows.h"

void dsrmrows()
{
	PROC
	const string	table( stringParameter( "table" ) );
	const int	from( intParameter( "from" ) );
	const bool	withCount( booleanParameter( "withcount" ) );
	const int	count( intParameter( "count" ) );

	DataSet*	set( dataSetServer -> open( table, Dal::Modify ) );
	Table*		tab( set -> table( table ) );

	if( withCount )
	{
		tab -> deleteRows( from, count );
	}
	else
	{
		tab -> deleteRows( from, tab -> rows() - from );
	} // if

	dataSetServer -> close( set );

	ENDPROC
}
